WordPress.org

Ready to get started?Download WordPress

Forums

Edit Flow
[resolved] Class-module error on update (6 posts)

  1. lbronk06
    Member
    Posted 1 year ago #

    I was super excited to see an update to Edit Flow, but when I installed it I got this error:

    Fatal error: Only variables can be passed by reference in /homepages/21/d325103815/htdocs/16bitsirens/wp-content/plugins/edit-flow/common/php/class-module.php on line 210

    Any thoughts? The site I'm using this on is http://www.16bitsirens.com. Rolling back to v0.7.4 for the time being, but any help is appreciated! We love this plugin!

    http://wordpress.org/extend/plugins/edit-flow/

  2. cojennin
    Member
    Plugin Author

    Posted 1 year ago #

    Looking into this right now. I might be back with questions, so stay on the line.

  3. lbronk06
    Member
    Posted 1 year ago #

    Awesome - thanks for the quick response!

  4. cojennin
    Member
    Plugin Author

    Posted 1 year ago #

    Ok, think I located the issue. I believe it has to do with a call to get_post in the Edit Flow source. You can see from that link where it says $post_id there's some mention of the problem you're having. I'm going to create an issue on GitHub for this and patch it up. In the meantime, I'd wait to see if Daniel pops on and has some suggestions about how this could be worked around. Seems like the errors being triggered in relation to some issue with the post_type. If I think of anything else, I'll post it here.

  5. Daniel Bachhuber
    Hand Built
    Plugin Author

    Posted 1 year ago #

    This should be fixed in v0.7.6. Sorry about that.

  6. lbronk06
    Member
    Posted 1 year ago #

    Man, you guys are the best. Seriously - thank you so much!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic